[Qa-jenkins-scm] [jenkins.debian.net] 01/01: detect more reasons for apt failing
Holger Levsen
holger at moszumanska.debian.org
Thu Sep 3 12:38:30 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit f83266c124b31810bfa674f54a87511fbec07512
Author: Holger Levsen <holger at layer-acht.org>
Date: Thu Sep 3 14:37:58 2015 +0200
detect more reasons for apt failing
---
bin/chroot-installation.sh | 2 +-
bin/reproducible_maintenance.sh | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 370f7ed..82f111b 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -56,7 +56,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed)" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "Warning: Network problem detected."
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 7b3ae8b..d8883ff 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -76,7 +76,7 @@ if [ "$HOSTNAME" = "jenkins" ] ; then
# only grep through the last 5h (300 minutes) of builds...
# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
- FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
+ FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "The following builds have failed due to network problems and will be rescheduled now:"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list